Extension { #name : 'PPSea' }

{ #category : '*petitcompiler' }
PPSea >> asCompilerNode [
	^ PPCSeaNode new
		island: island;
		water: water;
		parser: self copy;
		properties: properties;
		yourself
]

{ #category : '*petitcompiler' }
PPSea >> map: aThreeArgBlock [
	^ aThreeArgBlock numArgs = 3
		ifTrue: [ PPMappedActionParser on: self block: aThreeArgBlock ]
		ifFalse: [ self error: 'three arguments expected.' ]
]
